package com.fufan.mtsaas.modules.sysmgr.symenu.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.symenu.model.SYmenu;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
  *  Mapper 接口
 *
 * @author Liby
 * @since 2019-08-19
 */
@Repository
public interface SYmenuDao extends BaseMapper<SYmenu> {
    List<SYmenu> selectList(Page page, @Param("params") Map<String, String> params);

    List<SYmenu> selectListByGroup(Page page, @Param("params") Map<String, String> params);
    List<SYmenu> selectListByGroupFilter(Page page, @Param("params") Map<String, String> params);

    int insertRecords(SYmenu sYscriptD);

    int deleteByPk(@Param("params") Map<String, String> params);
    int updateRecords(SYmenu sYscriptD);

    List<SYmenu> selectunList(Page page, @Param("params") Map<String, String> params);

    List<SYmenu> selectpickedList(Page page, @Param("params") Map<String, String> params);

    List<SYmenu> selectInList(Page page, @Param("params") Map<String, String> params,@Param("idData") List<String> menuList);
}